<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" href="favicon.ico">

    <title>EmpleosApp | Aplicación para publicar Ofertas de Trabajo.</title>
    <!-- Bootstrap core CSS -->
    <link th:href="@{/bootstrap/css/bootstrap.min.css}" rel="stylesheet">
    <!-- Custom styles for this template -->
    <link th:href="@{/bootstrap/css/jumbotron.css}" rel="stylesheet">
    <link th:href="@{/bootstrap/css/sticky-footer-navbar.css}" rel="stylesheet">
  </head>

  <body>

	<!-- HEADER -->
	<header th:insert="fragments/menu :: menu-principal"></header>
    
    <main role="main">

      <!-- Main jumbotron for a primary marketing message or call to action -->
      <div class="jumbotron">
        <div class="container">
          <h3>Encuentra el trabajo que andas buscando.</h3>
          Puedes buscar por descripción y categoría.
          
          <!-- MAPEAMOS UN OBJETO VACANTE PARA LA BUSQUEDA -->
          <form class="form-inline" th:action="@{/search}" method="get" th:object = "${search}">
            <input type="text" class="form-control mb-3" th:field = "*{descripcion}" placeholder="Escriba una búsqueda">&nbsp;
           
            <!-- 
            	MAPEAMOS EL SELECT CON LA PROPIEDAD CATEGORIA. USAMOS NULL COMO VALUE EN EL PRIMER ELEMENTO DEL SELECT. 
            -->
            <select th:field = "*{categoria.id}"class="custom-select custom-select mb-3">
              <option th:value="${null}" selected>Seleccione una categoría</option>
              <option
              	th:each = "item : ${categorias}" 
                th:value="${item.id}" 
                th:text="${item.nombre}">
              </option>
              
            </select>&nbsp;
            <button type="submit" class="btn btn-primary mb-3">Buscar</button>
          </form>
        </div>
      </div>
      <hr>

      <div class="container"> 
        <h2 class="font-weight-bold text-center text-capitalize">DESTACADOS</h2>
        <hr>
        
        <div class="row" th:each = "item: ${vacantes}">
          <div class="col-md-3">
            <!-- Reemplazamos ruta /images/ por el alias /logos/ definido en la configuracion de este proyecto -->            
            <img class="rounded mx-auto d-block" th:src="@{/images/{img} ( img = ${item.imagen} )}" alt="Generic placeholder image" width="220" height="220">            
          </div>
          <div class="col-md-9">
            <h2 th:text="${item.nombre}"></h2>
            <h6 class="card-title"><strong>Categoría: </strong> <span th:text="${item.categoria.nombre}"></span></h6>
            <h6 class="card-title"><strong>Publicado: </strong> <span th:text = "${#dates.format(item.fecha, 'dd-MM-yyyy')}"></span></h6> <!-- Formato a la fecha -->               
            <p th:text="${item.descripcion}"></p>
            
            <!-- PathvVariable -->
            <p><a class="btn btn-secondary" role="button" th:href="@{/vacantes/view/{id} (id=${item.id}) }">Detalles &raquo;</a></p>   
            
            <!-- Request Param
            <p><a class="btn btn-secondary" role="button" th:href="@{/vacantes/view/ (id=${item.id}) }">View details &raquo;</a></p>
            -->         
          
          </div>
        </div> 
                 
		  <hr>	
      </div> <!-- /container -->

    </main>

	<!-- FOOTER -->
    <footer class="footer" th:insert="fragments/footer:: pie-pagina"></footer>
    

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"></script>
    <script th:src="@{bootstrap/js/bootstrap.min.js}"></script>
  </body>
</html>
